.btn-square {
    display: inline-block;
    padding: 0.5em 1em;
    text-decoration: none;
    background: #668ad8;
    /*ボタン色*/
    color: #FFF;
    border-bottom: solid 4px #627295;
    border-radius: 3px;
    border-style: none;
}

.btn-square:active {
    /*ボタンを押したとき*/
    -webkit-transform: translateY(4px);
    transform: translateY(4px);
    /*下に動く*/
    border-bottom: none;
    /*線を消す*/
}

.btn-flat-logo {
    position: relative;
    display: inline-block;
    font-weight: bold;
    padding: 0.25em 0.5em;
    text-decoration: none;
    color: #FFF;
    background: #00bcd4;
    transition: .4s;
    border-style: none;
}

.btn-flat-logo:hover {
    background: #1ec7bb;
}

.btn-Create {
    display: block;
    text-decoration: none;
    color: blue;
    border: solid 2px #67c5ff;
    border-radius: 3pc;
    transition: .4s;
  
}

.btn-Create:hover {
    background: #67c5ff;
    color: white;

}

.btn-Search {
    display: block;
    padding: 0.2em 1em;
    text-decoration: none;
    border-radius: 4px;
    color: #ffffff;
    background-image: linear-gradient(#6795fd 0%, #67ceff 100%);
    border-style: none;
}

.btn-Search:active {
    transform: translateY(4px);
}

.btn-Update {
    display: inline-block;
    padding: 0.3em 1em;
    text-decoration: none;
    color: dodgerblue;
    border: double 4px #67c5ff;
    border-radius: 3px;
    transition: .4s;
 

}

.btn-Update:hover {
    background: #fffbef;

}

.btn-SchoolCreate {
    font-weight: bold;
    padding: 5px 5px;
    background-color: #248;
    color: aliceblue;
    border-style: none;

}

.btn-GroupCreate {
    display: block;
    width: 200px;
    height: 50px;
    color: #FFF;
    text-decoration: none;
    text-align: center;
    background-color: #f39800;
    border-bottom: solid 4px #ec6c00;
    border-radius: 10px;

}

.btn-GroupCreate:hover {
    background-color: #f9c500;
    border-bottom: solid 6px #f39800;
}

.btn-GroupCreate:active {
    margin-top: 6px;
    border-bottom: none;
    -webkit-transform: translate(6px);
    transform: translateY(6px);
}

a.btn-Favorite {
	display: inline-block;
	position: relative;
	width: 180px;
	padding: 0.8em;
	text-align: center;
	border-top: 2px solid #FBC02D;
	border-bottom: 2px solid #FBC02D;
	text-decoration: none;
	font-weight: bold;
	color: #FBC02D;
}
a.btn-Favorite:before, a.btn-Favorite:after {
	content: '';
	position: absolute;
	top: -7px;
	width: 2px;
	height: calc(100% + 14px);
	background-color: #FBC02D;
	transition: .3s;
}
a.btn-Favorite:before {
	left: 7px;
}
a.btn-Favorite:after {
	right: 7px;
}
a.btn-Favorite:hover:before{
	top: 0px;
	left:0;
	height: 100%;
}
a.btn-Favorite:hover:after{
	top: 0px;
	right: 0;
	height: 100%;
}
